#include <bits/stdc++.h>
using namespace std;

int brojel(int *a,int n,int b)
{
    if(b>a[n-1])
        return n;

    for(int i=0;i<n;i++)
    {
        if(a[i]>=b)
        {
            cout<<i<<endl;
            if(i==n/2)
                return 0;
            else if(i<n/2)
                return n-2*i-1;
            else if(i>n/2)
                return 2*i-n;
        }
    }
}

int main()
{
    int n,q;
    int a[20001],b[20001];
    cin>>n>>q;
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    sort(a,a+n);

    for(int i=0;i<q;i++)
    {
        cin>>b[i];
        cout<<brojel(a,n,b[i]);
    }

    return 0;
}